
 LinHES - Bug # 754: rebuild packages with elfutils

Status: Closed Priority: Low
Author: chael Category: Packages: Extra
Created: 01/30/2011 Assignee: mihanson
Updated: 02/17/2011 Due date: 02/01/2011
Description: The elfutils package has replaced the libelf package. Some packages currently in the repo (screen, in 

particular) were built against the old version (/usr/lib/libelf.so.0) and broke when I was forced to install elfutils 
as part of installing GCC to build makemkv for Blu-Ray support. Many people will want to build makemkv, so 
updating to elfutils would be wise.

Pacman reports that the packages conflict, so I removed libelf and installed elfutils.  Then screen broke.  I am 
using this temporary workaround:

@# cd /usr/lib && ln -s libelf.so.1 libelf.so.0@

Associated revisions
02/01/2011 02:29 pm - mihanson
screen: rebuilt pkg against elfutils. Ref #754

History
02/01/2011 02:35 pm - mihanson
- Assignee set to mihanson

- Due date changed from 01/10/2011 to 02/01/2011

- Category changed from Other to Packages: Extra

- Estimated time changed from 4.00 to 0.50

- % Done changed from 0 to 90

- Status changed from New to Feedback

02/12/2011 03:39 pm - chael
Upgraded to rebuilt screen package.  Problem solved.  Thanks!

02/12/2011 04:26 pm - mihanson
- Status changed from Feedback to Resolved

02/17/2011 12:47 pm - mihanson
- % Done changed from 90 to 100

- Status changed from Resolved to Closed
